antiprism-0.23
Up Next

# leonardo - Leonardo da Vinci style models

Usage | Examples | Notes

## Usage

    Usage: leonardo [options] [input_file]

    Read a file in OFF format, and thicken the faces and cut a hole in their
    centres to produce a model like those illustrated by Leonardo da Vinci. If
    input_file is not given the program reads from standard input.

    Options
      -h,--help this help message (run 'off_util -H help' for general help)
      --version version information
      -w <wdth> width of the perimeter border of the faces, follow by % for
                percentage of maximum width without overlap (default: 30%)
      -l <ht>   height to thicken faces, 0 for single polygon height, follow by
                % for percentage of width value (default: 100%)
      -m        distribute the height equally on both sides of the faces, so
                the original faces would lie in the middle of the new faces
                (use for non-orientable models)
      -x        hide the edges that join the outside of a face to the hole
      -e        take colours from the edge colours of the base polyhedron
                (default: use face colours)
      -o <file> write output to file (default: write to standard output)

## Examples

Leonardo da Vinci style rhombicuboctahedron

    leonardo std_rhombicuboctahedron | antiview -v 0.02

Leonardo da Vinci style rhombicuboctahedron, and hide edges that run from the outside of the faces to the holes

    leonardo -x std_rhombicuboctahedron | antiview -v 0.02

Leonardo da Vinci style rhombicuboctahedron, and thicken border and use the same value for height

    leonardo -w 0.3 std_rhombicuboctahedron | antiview -v 0.02

Leonardo da Vinci style rhombicuboctahedron, and thicken border and use a smaller value for height

    leonardo -w 0.3 -l 0.05 std_rhombicuboctahedron | antiview -v 0.02

Models use the colours from the base faces by default. In this example a geodesic sphere dual has a proper colouring of its faces and is then converted to Leonardo da Vinci style model

    off_color -f P geo_3_d -m map_orange:purple:white | leonardo -x | antiview -v 0.01

Models can also use the colours from the base edges. In this example a geodesic sphere dual has a proper colouring of its edges and is then converted to Leonardo da Vinci style model using the edge colours

    off_color -e P geo_3_d -m map_orange:purple:white | leonardo -e | antiview -v 0.01

For non-orientable models, like the Mobius strip in this example, the original faces must have the height equally distributed on each side so that the units still meet correctly when the surface joins after being flipped over

    unitile2d -s m -w 29 -l 2 | off_color -f P -m map_darkblue:white | leonardo -m -w 0.15 | antiview -v 0.02

To make an image of a wooden model, create a file called wood_faces.inc that contains these two lines

       #include "textures.inc"
       #declare face_tex = texture { DMFWood4 scale 0.4 translate <3,2,4> };

Now create the POV-Ray model with a command like this

    leonardo std_rhombicuboctahedron | off_trans -R 0,15,0 -R 15,0,0 | off2pov -i wood_faces.inc -x ev -B white > wood_rhombicubo.pov

## Notes

Search for images of Leonardo da Vinci's polyhedron illustrations.

In an oriented model based on an Antiprism resource model the new units should generally have their outer side aligned with the original faces, and the units will meet well on the visible outer surface. In the opposite orientation the units will bind to the outside of the model, and will not generally meet so well on their outer visible surface. If units do not appear to be meeting well then try reorienting the model using off_util -O. In the case of using -m, for non-orientable models, neither of the new face unit surfaces coincide with the original faces and reorienting the model will not help.

Up: Programs and Documentation
Next: jitterbug - jitterbug transformation